> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a cell spec is ready for a model builder

> List everything a cell spec lacks for this builder, without building.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /model_builders/{model_builder_id}/check
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /model_builders/{model_builder_id}/check:
    post:
      tags:
        - Model builders
      summary: Check a cell spec is ready for a model builder
      description: List everything a cell spec lacks for this builder, without building.
      operationId: check_model_builder_model_builders__model_builder_id__check_post
      parameters:
        - name: model_builder_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Builder Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadinessReport'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CheckRequest:
      properties:
        cell_spec_id:
          type: string
          title: Cell Spec Id
      type: object
      required:
        - cell_spec_id
      title: CheckRequest
      description: Body for the readiness check.
    ReadinessReport:
      properties:
        ready:
          type: boolean
          title: Ready
          description: True when there are no error issues.
        issues:
          items:
            $ref: '#/components/schemas/ReadinessIssueModel'
          type: array
          title: Issues
        resolved:
          type: integer
          title: Resolved
          description: Mapped cell-spec values that read.
        total:
          type: integer
          title: Total
          description: Mapped cell-spec values in the builder.
      type: object
      required:
        - ready
        - issues
        - resolved
        - total
      title: ReadinessReport
      description: Result of checking whether a cell spec has everything a builder needs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReadinessIssueModel:
      properties:
        severity:
          type: string
          enum:
            - error
            - warning
          title: Severity
        code:
          type: string
          enum:
            - missing
            - unit_mismatch
            - wrong_shape
            - ambiguous
            - unsatisfied_input
          title: Code
        message:
          type: string
          title: Message
        parameter:
          anyOf:
            - type: string
            - type: 'null'
          title: Parameter
          description: Model parameter the issue affects.
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
          description: Dotted path in the cell spec, as in a mapping.
        element:
          anyOf:
            - type: string
            - type: 'null'
          title: Element
          description: Recipe element name.
      type: object
      required:
        - severity
        - code
        - message
      title: ReadinessIssueModel
      description: One reason a cell spec cannot, or can only with assumptions, be built.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.